// Header and navigation

var hs = $(".p-staffBar").outerHeight(true);
var hh = $(".p-header").outerHeight(true);
var hn = $(".p-nav").outerHeight(true);

$(document).ready(function () {
	$('.p-pageWrapper').prepend('<div class="p-header--background"></div>');
	$('.p-header--background').css({'height': hh + hn, 'top': hs});

    if($(window).width() > 480)
    {
        $('.p-discovery').insertBefore($('.p-nav-opposite'));
    } else {
        $('.p-discovery').appendTo($('.p-nav-inner'));
        $('.p-header--background').css({'height': hh + hn - 60, 'top': hs});
    }
});

// Avatar

$('span.avatar:not(:has(.avatar--separated))').addClass('avatar--separated');

// Breadcrumbs

$('.p-breadcrumbs > li').append('<span class="breadcrumbs-arrow"></span>');

// Tooltip

$('.block-header').each(function () {

	var hc = $(this).children('a').width();

	if ( $("html").attr("dir") === 'RTL' )
	{
		$(this).children('.block-tooltip').children('.block-desc').css({'right': hc + 34});
	} else if ( $("html").attr("dir") === 'LTR' )
	{
		$(this).children('.block-tooltip').children('.block-desc').css({'left': hc + 34});
	}

	$(".block-header > a").mouseenter(function(){
		$(this).next().children().show();
	});
	$(".block-header > a").mouseleave(function(){
		$(this).next().children().hide();
	});
});

// Search-control

$(document).ready(function(){
	$('.p-navgroup-link--search').each(function(){
		$(this).prependTo($(this).siblings('.search-area'));
	});
	$('.search-area').ready(function() {
		$('.search-input').click(function(e) {
			$(this).parent().children('.search-option').addClass('active');
			$('.menu').removeClass('is-active');
			$(".search-option").animate({opacity: 1}, 500);
			e.stopPropagation()
			});
		$('.search-option').click(function(e) {
			e.stopPropagation()
		})
	});
	$('body, html').click(function() {
		$('.search-option').removeClass('active');
		$(".search-option").animate({opacity: 0});
	});
});

// Sidebar-control

var count = 0;
var w2 = $('.p-body-main').width() - 40;
var w3 = $('.p-body-sidebar').width();
$(".block-control--sideBar").click(function() {
	count++;
	var isEven = function(someNumber) {
		return (someNumber % 2 === 0) ? true : false;
	};
	
	if (isEven(count) === false) {
		$(".p-body-content").animate({paddingRight: 0, width: w2}, 500);
		$(".p-body-sidebar").animate({opacity: 0}, 500);
		setTimeout(function() {
			$(".p-body-sidebar").css('display', 'none');
		}, 500);
	}

	else if (isEven(count) === true) {
		setTimeout(function() {
			$(".p-body-sidebar").css('display', 'table-cell');
		}, 0);
		$(".p-body-sidebar").animate({opacity: 1}, 500);
		$(".p-body-content").animate({paddingRight: 20, width: w2 - w3}, 500);
	}
});

// Blocks

$('.block-header').append('<div class="block-control block-control--collapse"><i></i></div>');

$('.block-minorHeader').each(function(){
	$(this).before('<div class="block-minorHeader--outer"></div>');
	$(this).prependTo($(this).siblings('.block-minorHeader--outer'));
});

$('.block-control--collapse').click(function(e) {
	e.preventDefault();
	var notthis = $('.active').not(this);
 	$(this).parent().toggleClass('active').siblings().slideToggle("fast");
});

// Node-extra-user

$(document).ready(function(){
	$('.node-extra-user').each(function(){
		$(this).prependTo($(this).closest('.listInline'));
	});
});

// StructItem

$(document).ready(function(){
	$('.structItem-cell--latest .structItem-minor > *').each(function(){
		$(this).prependTo($(this).closest('.structItem-cell--latest'));
	});

	$('.structItem-latestDate').parent('').each(function(){
		$(this).prependTo($(this).siblings('.structItem-minor'));
	});
});

// Sidebar

$(document).ready(function () {
	$('.block[data-widget-definition="visitor_panel"] .block-container').append('<div class="block-footer"></div>');
	$('.block[data-widget-definition="visitor_panel"] .contentRow-minor').each(function(){
		$(this).prependTo($(this).closest('.block-container').children('.block-footer'));
	});
});

/* Footer */

$('.p-footer').append('<div class="p-footer-bottom"><div class="p-footer-inner"></div></div>');
$('.p-footer-debug').appendTo($('.p-footer-bottom > .p-footer-inner'));

$('.p-footer').each(function() {
	if ( $('.p-footer').has('.p-footer-top').length && !$('.p-footer').has('.p-footer-middle').length ) {
		$(this).children('.p-footer-top').children('.p-footer-inner').append('<div class="BRCopyright"><div class="content-brcpright"><a href="http://brivium.com/xenforo-add-ons" class="item-brcp" title="Brivium XenForo Add-ons">XenForo Add-ons</a><span>&nbsp;&amp;&nbsp;</span><a href="http://brivium.com/xenforo-styles" class="item-brcp" title="Brivium XenForo Styles">XenForo Styles</a><span> ™  © 2012-2018 Brivium LLC.</span></div></div>');
	} else if ( $('.p-footer').has('.p-footer-top').length && $('.p-footer').has('.p-footer-middle').length ) {
		$(this).children('.p-footer-middle').children('.p-footer-inner').append('<div class="BRCopyright"><div class="content-brcpright"><a href="http://brivium.com/xenforo-add-ons" class="item-brcp" title="Brivium XenForo Add-ons">XenForo Add-ons</a><span>&nbsp;&amp;&nbsp;</span><a href="http://brivium.com/xenforo-styles" class="item-brcp" title="Brivium XenForo Styles">XenForo Styles</a><span> ™  © 2012-2018 Brivium LLC.</span></div></div>');
	} else {
		$(this).children('.p-footer-inner').append('<div class="BRCopyright"><div class="content-brcpright"><a href="http://brivium.com/xenforo-add-ons" class="item-brcp" title="Brivium XenForo Add-ons">XenForo Add-ons</a><span>&nbsp;&amp;&nbsp;</span><a href="http://brivium.com/xenforo-styles" class="item-brcp" title="Brivium XenForo Styles">XenForo Styles</a><span> ™  © 2012-2018 Brivium LLC.</span></div></div>');
	}
});

$('.BRCopyright').css({'float': 'left', 'marginTop': 2, 'marginBottom': 2});

/* Footer -- End */

// Bonus

$('.block-row + .block-row').before('<div class="block-separator"></div>');

$('.button').closest('dl.formRow:not(.formSubmitRow, .formSubmitRow--sticky)').children('dd').addClass('formButtonGroup');

$(document).ready(function(){
	$('.message-attribution').each(function(){
		$(this).insertAfter($(this).siblings('.message-content'));
	});

	$('.message-attribution-main').each(function(){
		$(this).prependTo($(this).parent('').siblings('.message-footer').children('.message-actionBar').children('.actionBar-set--internal'));
	});

	$('.message-attribution-opposite').each(function(){
		$(this).appendTo($(this).parent('').siblings('.message-footer').children('.message-actionBar').children('.actionBar-set--external'));
	});
});